# Uses of Class
org.apache.lucene.index.Terms

Packages that use Terms
Package
Description
org.apache.lucene.codecs.lucene103.blocktree
BlockTree terms dictionary.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util
Some utility classes.
org.apache.lucene.util.automaton
Finite-state automaton for regular expressions.

- ## Uses of Terms in org.apache.lucene.codecs.lucene103.blocktree

  Subclasses of Terms in org.apache.lucene.codecs.lucene103.blocktree
  Modifier and Type
  Class
  Description
  `final class`
  `FieldReader`
  BlockTree's implementation of `Terms`.
  Methods in org.apache.lucene.codecs.lucene103.blocktree that return Terms
  Modifier and Type
  Method
  Description
  `Terms`
  Lucene103BlockTreeTermsReader.`terms(String field)`

- ## Uses of Terms in org.apache.lucene.index

  Subclasses of Terms in org.apache.lucene.index
  Modifier and Type
  Class
  Description
  `static class`
  `ExitableDirectoryReader.ExitableTerms`
  Wrapper class for another Terms implementation that is used by ExitableFields.
  `static class`
  `FilterLeafReader.FilterTerms`
  Base class for filtering `Terms` implementations.
  `final class`
  `MultiTerms`
  Exposes flex API, merged from flex API of sub-segments.
  Fields in org.apache.lucene.index declared as Terms
  Modifier and Type
  Field
  Description
  `static final Terms[]`
  Terms.`EMPTY_ARRAY`
  Zero-length array of `Terms`.
  `protected final Terms`
  FilterLeafReader.FilterTerms.`in`
  The underlying Terms instance.
  Methods in org.apache.lucene.index that return Terms
  Modifier and Type
  Method
  Description
  `final Terms`
  TermVectors.`get(int doc, String field)`
  Retrieve term vector for this document and field, or null if term vectors were not indexed.
  `Terms[]`
  MultiTerms.`getSubTerms()`
  Expert: returns the Terms being merged.
  `static Terms`
  MultiTerms.`getTerms(IndexReader r, String field)`
  This method may return null if the field does not exist or if it has no terms.
  `static Terms`
  Terms.`getTerms(LeafReader reader, String field)`
  Returns the `Terms` index for this field, or `EMPTY` if it has none.
  `final Terms`
  CodecReader.`terms(String field)`
  `Terms`
  ExitableDirectoryReader.ExitableFilterAtomicReader.`terms(String field)`
  `abstract Terms`
  Fields.`terms(String field)`
  Get the `Terms` for this field.
  `Terms`
  FilterLeafReader.FilterFields.`terms(String field)`
  `Terms`
  FilterLeafReader.`terms(String field)`
  `abstract Terms`
  LeafReader.`terms(String field)`
  Returns the `Terms` index for this field, or null if it has none.
  `Terms`
  MappedMultiFields.`terms(String field)`
  `Terms`
  MultiFields.`terms(String field)`
  `Terms`
  ParallelLeafReader.`terms(String field)`
  Constructors in org.apache.lucene.index with parameters of type Terms
  Modifier
  Constructor
  Description
  ``
  `ExitableTerms(Terms terms, QueryTimeout queryTimeout)`
  Constructor *
  `protected`
  `FilterTerms(Terms in)`
  Creates a new FilterTerms
  ``
  `MultiTerms(Terms[] subs, ReaderSlice[] subSlices)`
  Sole constructor.

- ## Uses of Terms in org.apache.lucene.search

  Methods in org.apache.lucene.search with parameters of type Terms
  Modifier and Type
  Method
  Description
  `protected TermsEnum`
  AutomatonQuery.`getTermsEnum(Terms terms, AttributeSource atts)`
  `protected TermsEnum`
  FuzzyQuery.`getTermsEnum(Terms terms, AttributeSource atts)`
  `final TermsEnum`
  MultiTermQuery.`getTermsEnum(Terms terms)`
  Constructs an enumeration that expands the pattern term.
  `protected abstract TermsEnum`
  MultiTermQuery.`getTermsEnum(Terms terms, AttributeSource atts)`
  Construct the enumeration to be used, expanding the pattern term.
  `protected TermsEnum`
  MultiTermQuery.RewriteMethod.`getTermsEnum(MultiTermQuery query, Terms terms, AttributeSource atts)`
  Returns the `MultiTermQuery`s `TermsEnum`
  `protected TermsEnum`
  TermInSetQuery.`getTermsEnum(Terms terms, AttributeSource atts)`
  Constructors in org.apache.lucene.search with parameters of type Terms
  Modifier
  Constructor
  Description
  ``
  `FuzzyTermsEnum(Terms terms, Term term, int maxEdits, int prefixLength, boolean transpositions)`
  Constructor for enumeration of all terms from specified `reader` which share a prefix of length `prefixLength` with `term` and which have at most `maxEdits` edits.

- ## Uses of Terms in org.apache.lucene.util

  Constructors in org.apache.lucene.util with parameters of type Terms
  Modifier
  Constructor
  Description
  ``
  `DocIdSetBuilder(int maxDoc, Terms terms)`
  Create a `DocIdSetBuilder` instance that is optimized for accumulating docs that match the given `Terms`.

- ## Uses of Terms in org.apache.lucene.util.automaton

  Methods in org.apache.lucene.util.automaton with parameters of type Terms
  Modifier and Type
  Method
  Description
  `TermsEnum`
  CompiledAutomaton.`getTermsEnum(Terms terms)`
  Return a `TermsEnum` intersecting the provided `Terms` with the terms accepted by this automaton.